
package org.deephacks.tools4j.config.admin;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.deephacks.tools4j.config.admin package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ConfigFaultElement_QNAME = new QName("http://tools4j.deephacks.org/config-service/v1_0", "ConfigFaultElement");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.deephacks.tools4j.config.admin
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link WsReference }
     * 
     */
    public WsReference createWsReference() {
        return new WsReference();
    }

    /**
     * Create an instance of {@link ConfigFaultCause }
     * 
     */
    public ConfigFaultCause createConfigFaultCause() {
        return new ConfigFaultCause();
    }

    /**
     * Create an instance of {@link Properties }
     * 
     */
    public Properties createProperties() {
        return new Properties();
    }

    /**
     * Create an instance of {@link WsProperty }
     * 
     */
    public WsProperty createWsProperty() {
        return new WsProperty();
    }

    /**
     * Create an instance of {@link Beans }
     * 
     */
    public Beans createBeans() {
        return new Beans();
    }

    /**
     * Create an instance of {@link References }
     * 
     */
    public References createReferences() {
        return new References();
    }

    /**
     * Create an instance of {@link WsBean }
     * 
     */
    public WsBean createWsBean() {
        return new WsBean();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConfigFaultCause }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tools4j.deephacks.org/config-service/v1_0", name = "ConfigFaultElement")
    public JAXBElement<ConfigFaultCause> createConfigFaultElement(ConfigFaultCause value) {
        return new JAXBElement<ConfigFaultCause>(_ConfigFaultElement_QNAME, ConfigFaultCause.class, null, value);
    }

}
